Sorry, There was a problem we could not recover from. Topic is solved

Need help installing Joomla! 4.x? For all Joomla! 4.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
counterpoint
Joomla! Apprentice
Joomla! Apprentice
Posts: 27
Joined: Sun Jun 25, 2006 5:51 pm

Re: Sorry, There was a problem we could not recover from.

Post by counterpoint » Wed Sep 15, 2021 12:04 pm

I'm aware of the requirements document at https://downloads.joomla.org/technical-requirements. But that doesn't define which PHP extensions are required to run Joomla without getting the red screen.

User avatar
PhilTaylor-Prazgod
Joomla! Ace
Joomla! Ace
Posts: 1286
Joined: Sat Aug 20, 2005 12:32 pm
Location: Jersey, Channel Islands
Contact:

Re: Sorry, There was a problem we could not recover from.

Post by PhilTaylor-Prazgod » Wed Sep 15, 2021 12:27 pm

The requirements have been the same for almost 2 decades now.

They are the same as listed for Joomla 3 on https://downloads.joomla.org/technical-requirements

Zlib Compression Support, XML Support, INI Parser Support, JSON Support, MB Language = Default

Any decent mainstream webhost should already have these extensions installed. This is not rocket science - this is basic PHP and nothing special about this list

Joomla 4 has some OPTIONAL requirements also documented here: https://docs.joomla.org/J4.x:Optional_T ... quirements
Phil Taylor
Founder, Lead Developer, Idiot.
- https://mySites.guru - Manage Multiple Joomla/WordPress Sites In One Dashboard for Security, Audits, Backups and more....
- https://www.phil-taylor.com/

User avatar
PhilTaylor-Prazgod
Joomla! Ace
Joomla! Ace
Posts: 1286
Joined: Sat Aug 20, 2005 12:32 pm
Location: Jersey, Channel Islands
Contact:

Re: Sorry, There was a problem we could not recover from.

Post by PhilTaylor-Prazgod » Wed Sep 15, 2021 12:30 pm

For those pretending they know about servers, and running into issues configuring PHP on Ubuntu, here is my own (slightly redacted) cheatsheet for Joomla based sites on PHP 7.4
apt -y install apache2 php-curl php7.4-gd php7.4-fpm php7.4-redis php7.4-gd php7.4 php7.4-mysql mysql-server php7.4-xml php7.4-mbstring postfix python3-certbot-apache mailutils software-properties-common unzip php-zip curl git net-tools
a2dismod php7.2
a2dismod php7.3
a2enmod proxy_fcgi
a2enconf php7.4-fpm
a2dismod php7.4
a2dismod mpm_prefork
a2enmod mpm_event
a2enmod http2
a2enmod rewrite
a2enmod expires
a2enmod headers
echo "memory_limit=64M" > /etc/php/7.4/apache2/conf.d/99-custom.ini
echo "upload_max_filesize=64M" >> /etc/php/7.4/apache2/conf.d/99-custom.ini
echo "post_max_size=65M" >> /etc/php/7.4/apache2/conf.d/99-custom.ini
echo "error_reporting=0" >> /etc/php/7.4/apache2/conf.d/99-custom.ini
echo "display_errors=0" >> /etc/php/7.4/apache2/conf.d/99-custom.ini
echo "short_open_tag=1" >> /etc/php/7.4/apache2/conf.d/99-custom.ini
/etc/init.d/apache2 restart
systemctl restart apache2
Phil Taylor
Founder, Lead Developer, Idiot.
- https://mySites.guru - Manage Multiple Joomla/WordPress Sites In One Dashboard for Security, Audits, Backups and more....
- https://www.phil-taylor.com/

User avatar
Beata
Joomla! Ace
Joomla! Ace
Posts: 1171
Joined: Fri Mar 02, 2007 2:06 pm
Location: Lithuania

Re: Sorry, There was a problem we could not recover from.

Post by Beata » Wed Jan 19, 2022 11:40 am

I got this red image page in Joomla 4 after installing T3 plugin. Maybe this wasn't correct file t3-2.7.7.zip
The help on red page didn't help me by changing this $debug = false; to true
Now I can't open administration to disable this plugin
What to do, please help

Code: Select all

https://www.lbks.lt/ns/administrator/index.php?option=com_installer&view=install

User avatar
Beata
Joomla! Ace
Joomla! Ace
Posts: 1171
Joined: Fri Mar 02, 2007 2:06 pm
Location: Lithuania

Re: Sorry, There was a problem we could not recover from.

Post by Beata » Wed Jan 19, 2022 11:55 am

Finally after changing permission I got this but what to do with this ?
You do not have the required permissions to view the files attached to this post.

User avatar
ceford
Joomla! Guru
Joomla! Guru
Posts: 723
Joined: Mon Feb 24, 2014 10:38 pm
Location: Edinburgh, Scotland
Contact:

Re: Sorry, There was a problem we could not recover from.

Post by ceford » Wed Jan 19, 2022 1:01 pm

Use phpMyAdmin to find that plugin in the extensions table and set its enabled value to 0.

User avatar
Beata
Joomla! Ace
Joomla! Ace
Posts: 1171
Joined: Fri Mar 02, 2007 2:06 pm
Location: Lithuania

Re: Sorry, There was a problem we could not recover from.

Post by Beata » Wed Jan 19, 2022 1:14 pm

Please more exactly...
Should I go to MySql?
Or maybe I can delete that plugin through FTP?

P.S. I am in mySql and don't know how to find this table....

User avatar
ceford
Joomla! Guru
Joomla! Guru
Posts: 723
Joined: Mon Feb 24, 2014 10:38 pm
Location: Edinburgh, Scotland
Contact:

Re: Sorry, There was a problem we could not recover from.

Post by ceford » Wed Jan 19, 2022 1:36 pm

Everybody uses phpMyAdmin to interact with MySQL databases - you hosting service will almost certainly provide it, for example via cPanel. Select your database and then the #__extensions table. Find the T3 plugin and then edit that record - just double click and change the enabled value to 0.

Do not delete anything via ftp. That could make matters worse because you still have database entries.

User avatar
Beata
Joomla! Ace
Joomla! Ace
Posts: 1171
Joined: Fri Mar 02, 2007 2:06 pm
Location: Lithuania

Re: Sorry, There was a problem we could not recover from.

Post by Beata » Wed Jan 19, 2022 1:43 pm

I am in my SQL
Sorry, I should maybe re-installation of Joomla
You do not have the required permissions to view the files attached to this post.

User avatar
ceford
Joomla! Guru
Joomla! Guru
Posts: 723
Joined: Mon Feb 24, 2014 10:38 pm
Location: Edinburgh, Scotland
Contact:

Re: Sorry, There was a problem we could not recover from.

Post by ceford » Wed Jan 19, 2022 3:05 pm

Just scroll down that list until you come to the sy4vm_extensions table. Select it to see the records in the table. Then find the t3 plugin and change enabled to 0

That might make your Admn interface work again!

User avatar
Beata
Joomla! Ace
Joomla! Ace
Posts: 1171
Joined: Fri Mar 02, 2007 2:06 pm
Location: Lithuania

Re: Sorry, There was a problem we could not recover from.

Post by Beata » Wed Jan 19, 2022 7:21 pm

Sorry,
I didn't find any t3 plugin in the extension.
I did new Joomla installation with quick Morph package

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 41264
Joined: Sat Apr 05, 2008 9:58 pm

Re: Sorry, There was a problem we could not recover from.

Post by Webdongle » Wed Jan 19, 2022 7:37 pm

Beata wrote:
Wed Jan 19, 2022 7:21 pm
...
I did new Joomla installation with quick Morph package
Best install correctly with the Joomla full package https://downloads.joomla.org/
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

User avatar
Beata
Joomla! Ace
Joomla! Ace
Posts: 1171
Joined: Fri Mar 02, 2007 2:06 pm
Location: Lithuania

Re: Sorry, There was a problem we could not recover from.

Post by Beata » Thu Jan 20, 2022 7:19 am

Webdongle wrote:
Wed Jan 19, 2022 7:37 pm
Beata wrote:
Wed Jan 19, 2022 7:21 pm
...
I did new Joomla installation with quick Morph package
Best install correctly with the Joomla full package https://downloads.joomla.org/
Thank you.
Yes, I already noticed. The quick Morph package gave me errors.


Post Reply

Return to “Installation Joomla! 4.x”